<template>
  <b-container>
    <b-row v-for="questionSet in questionSets" v-bind:key="questionSet.reference" align-h="center">
      <b-col md="4" style="text-align: left" class="mb-1">
        <span style="color: gray"><small>{{questionSet.title}}</small></span>
        <b-row v-for="question in questionSet.questions" v-bind:key="question.reference">
          <b-col style="text-align: left">
            <strong>
              <span v-if="question.type === 'article_choice'">
                Product:
              </span>
              <span v-if="question.type === 'input_field'">
                {{question.field.widget.label}}:
              </span>
            </strong>
          </b-col>
          <b-col style="text-align: left">
            {{getAnswerForQuestion(questionSet.reference, question.reference)}}
          </b-col>
        </b-row>
      </b-col>
    </b-row>

    <hr/>

    <b-row class="mt-3" align-h="center">
      <h1>&euro; {{price}}</h1>
    </b-row>
  </b-container>
</template>

<script>
import {mapGetters} from "vuex";

export default {
  name: "Quote",
  props: {
    questionSets: Array,
    answers: Object,
    price: String
  },
  computed: {
    ...mapGetters([
      'getAnswerForQuestion'
    ])
  }
}
</script>

<style scoped>

</style>
